Lavalite package that provides icons management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/icons`.

    "litecms/icons": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Icons\Providers\IconsServiceProvider::class,

And also add it to alias

    'Icons'  => Litecms\Icons\Facades\Icons::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\IconsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Icons\Providers\IconsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Icons\Providers\IconsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Icons\Providers\IconsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/icons/{modulename}

**User**

    http://path-to-route-folder/user/icons/{modulename}

**Public**

    http://path-to-route-folder/icons


### API endpoints

**List**

    http://path-to-route-folder/api/user/icons/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/icons/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/icons/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/icons/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/icons/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/icons/{modulename}/{slug}
    METHOD: GET